<template>
  <el-form ref="form" :model="user" :rules="rules" label-width="80px">
    <!-- <el-form-item label="账号" prop="userName">
      <el-input v-model="user.userName" maxlength="30" />
    </el-form-item> -->
    <el-form-item label="用户昵称" prop="nickName">
      <el-input v-model="user.nickName" maxlength="30" />
    </el-form-item>
    <el-form-item label="手机号码" prop="phoneNum">
      <el-input v-model="user.phoneNum" maxlength="11" />
    </el-form-item>
    <el-form-item label="所属部门" prop="user.dept.deptName">
      <el-input v-model="user.dept.deptName" maxlength="50" />
    </el-form-item>
    <!-- <el-form-item label="账号状态">
      <el-radio-group v-model="user.status">
        <el-radio :label="0">停用</el-radio>
        <el-radio :label="1">正常</el-radio>
      </el-radio-group>
    </el-form-item> -->
    <el-form-item>
      <el-button type="primary" size="mini" @click="submit">保存</el-button>
      <el-button type="danger" size="mini" @click="close">关闭</el-button>
    </el-form-item>
  </el-form>
</template>

<script>
import { editUser } from "@/api/personalCenter.js";
import store from "@/store";
export default {
  props: {
    user: {
      type: Object,
    },
  },
  data() {
    return {
      // 表单校验
      rules: {
        nickName: [
          { required: true, message: "用户昵称不能为空", trigger: "blur" },
        ],
        email: [
          { required: true, message: "邮箱地址不能为空", trigger: "blur" },
          {
            type: "email",
            message: "请输入正确的邮箱地址",
            trigger: ["blur", "change"],
          },
        ],
        phonenumber: [
          { required: true, message: "手机号码不能为空", trigger: "blur" },
          {
            pattern: /^1[3|4|5|6|7|8|9][0-9]\d{8}$/,
            message: "请输入正确的手机号码",
            trigger: "blur",
          },
        ],
      },
    };
  },
  methods: {
    submit() {
      this.$refs["form"].validate((valid) => {
        if (valid) {
          this.user.password = "";
          editUser(this.user).then((response) => {          
            if (response.code == 200) {
              this.$message({
                message: '修改成功',
                type: "success",
              });
              setTimeout(() => {
                store.dispatch("user/resetToken").then(() => {
                  location.reload();
                });
              }, 1000)

            } else {
              this.$message.error(response.msg);
            }
          });
        }
      });
    },
    close() {
      this.$router.push("/dashboard");
    },
  },
};
</script>
